org.apache.maven.settings

## Class SettingsUtils

- java.lang.Object
- - org.apache.maven.settings.SettingsUtils

-     public final class SettingsUtils
      extends java.lang.Object

  Several convenience methods to handle settings
  Version:
    $Id: SettingsUtils.java 682323 2008-08-04 11:14:28Z vsiveton $
  Author:
    Vincent Siveton

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.maven.model.Profile` | `convertFromSettingsProfile(Profile settingsProfile)`
    `static Settings` | `copySettings(Settings settings)`
    `static void` | `merge(Settings dominant, Settings recessive, java.lang.String recessiveSourceLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### merge

          public static void merge(Settings dominant,
                   Settings recessive,
                   java.lang.String recessiveSourceLevel)

      Parameters:
        `dominant` -
        `recessive` -
        `recessiveSourceLevel` -

    - #### convertFromSettingsProfile

          public static org.apache.maven.model.Profile convertFromSettingsProfile(Profile settingsProfile)

      Parameters:
        `settingsProfile` -
      Returns:
        a profile

    - #### copySettings

          public static Settings copySettings(Settings settings)

      Parameters:
        `settings` - could be null
      Returns:
        a new instance of settings or null if settings was null.